QuattroFormulaInternal::CellReference Class Reference documentation

QuattroFormulaInternal::CellReference Class Reference

small class use to store Quattro Pro cell reference (.wb1-3 and qpw) More...

`#include <QuattroFormula.h>`

## Public Member Functions
| CellReference ()
| constructor
void | addInstruction (WKSContentListener::FormulaInstruction const &instr)
| add an instruction
bool | empty () const
| return true if we have not read any reference

## Public Attributes
std::vector< WKSContentListener::FormulaInstruction > | m_cells
| the list of instruction coding each cell's block

## Friends
std::ostream & | operator<< (std::ostream &o, CellReference const &ref)
| friend operator<<

## Detailed Description

small class use to store Quattro Pro cell reference (.wb1-3 and qpw)

## Constructor & Destructor Documentation

## ◆ CellReference()

QuattroFormulaInternal::CellReference::CellReference | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Member Function Documentation

## ◆ addInstruction()

void QuattroFormulaInternal::CellReference::addInstruction | ( | WKSContentListener::FormulaInstruction const & | instr | ) |
| inline

add an instruction

Referenced by Quattro9Parser::getField(), QuattroParser::getField(), Quattro9Spreadsheet::readCellReference(), and QuattroSpreadsheet::readCellReference().

## ◆ empty()

bool QuattroFormulaInternal::CellReference::empty | ( |  | ) | const
| inline

return true if we have not read any reference

Referenced by QuattroParser::readBlockList(), QuattroParser::readFieldName(), QuattroFormulaManager::readFormula(), QuattroParser::readOptimizer(), and QuattroParser::readQueryCommand().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | CellReference const & | ref )
| friend

friend operator<<

## Member Data Documentation

## ◆ m_cells

std::vector<WKSContentListener::FormulaInstruction> QuattroFormulaInternal::CellReference::m_cells

the list of instruction coding each cell's block

Referenced by addInstruction(), CellReference(), empty(), Quattro9Parser::getField(), QuattroParser::getField(), operator<<, Quattro9Spreadsheet::readCellReference(), and QuattroSpreadsheet::readCellReference().

The documentation for this class was generated from the following file:

- QuattroFormula.h